Documentation Index
Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
यह मार्गदर्शिका आपको X API का उपयोग करके लाइक डेटा प्राप्त करने की प्रक्रिया बताती है।
पूर्वापेक्षाएँशुरू करने से पहले, आपको इनकी आवश्यकता होगी:
- एक स्वीकृत App के साथ डेवलपर खाता
- आपके App का बेयरर टोकन (सार्वजनिक डेटा के लिए) या User Access Token (निजी मेट्रिक्स के लिए)
किसी पोस्ट को पसंद करने वाले उपयोगकर्ताओं को प्राप्त करें
किसी विशेष पोस्ट को पसंद करने वाले उपयोगकर्ताओं की सूची प्राप्त करें:
curl "https://api.x.com/2/tweets/1354143047324299264/liking_users?\
user.fields=created_at,username,verified" \
-H "Authorization: Bearer $BEARER_TOKEN"
{
"data": [
{
"created_at": "2008-12-04T18:51:57.000Z",
"id": "17874544",
"username": "TwitterSupport",
"name": "Twitter Support",
"verified": true
},
{
"created_at": "2007-02-20T14:35:54.000Z",
"id": "783214",
"username": "Twitter",
"name": "Twitter",
"verified": true
}
],
"meta": {
"result_count": 2,
"next_token": "7140dibdnow9c7btw3z2vwioavpvutgzrzm9icis4ndix"
}
}
किसी उपयोगकर्ता द्वारा पसंद की गई पोस्ट्स प्राप्त करें
वे पोस्ट्स प्राप्त करें जिन्हें किसी विशेष उपयोगकर्ता ने पसंद किया है:
curl "https://api.x.com/2/users/2244994945/liked_tweets?\
tweet.fields=created_at,public_metrics&\
max_results=10" \
-H "Authorization: Bearer $BEARER_TOKEN"
{
"data": [
{
"id": "1362449997430542337",
"text": "Honored to be the first developer to be featured...",
"created_at": "2021-02-18T17:45:00.000Z",
"public_metrics": {
"retweet_count": 5,
"reply_count": 2,
"like_count": 42,
"quote_count": 1
}
}
],
"meta": {
"result_count": 1,
"next_token": "7140dibdnow9c7btw4539n0vybdnx19ylpayqf16fjt4l"
}
}
पिन किए गए पोस्ट्स जैसे संबंधित डेटा प्राप्त करने के लिए expansions का उपयोग करें:
curl "https://api.x.com/2/tweets/1354143047324299264/liking_users?\
user.fields=created_at&\
expansions=pinned_tweet_id&\
tweet.fields=created_at" \
-H "Authorization: Bearer $BEARER_TOKEN"
लाइक्स प्रबंधित करें
पोस्ट्स को लाइक और अनलाइक करें
API संदर्भ
एंडपॉइंट का पूरा दस्तावेज़